POST V1/BudgetAndForecasting.{ext}/ActualVsBudgetComparisonBudgetData

Actual Vs Budget Comparison Budget Data

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.BudgetAndForecasting.Entities.ActualvsBudgetBudgetDetails
NameDescriptionTypeAdditional information
BudgetId

No description available

integer

None.

BudgetName

No description available

string

None.

SiteGroup

No description available

string

None.

SiteNumber

No description available

string

None.

UtilityType

No description available

string

None.

VendorName

No description available

string

None.

StoreType

No description available

string

None.

City

No description available

string

None.

State

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "budgetId": 1,
  "budgetName": "sample string 2",
  "siteGroup": "sample string 3",
  "siteNumber": "sample string 4",
  "utilityType": "sample string 5",
  "vendorName": "sample string 6",
  "storeType": "sample string 7",
  "city": "sample string 8",
  "state": "sample string 9"
}

application/xml, text/xml

Sample:
<ActualvsBudgetBudgetDetails xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.BudgetAndForecasting.Entities">
  <BudgetId>1</BudgetId>
  <BudgetName>sample string 2</BudgetName>
  <City>sample string 8</City>
  <SiteGroup>sample string 3</SiteGroup>
  <SiteNumber>sample string 4</SiteNumber>
  <State>sample string 9</State>
  <StoreType>sample string 7</StoreType>
  <UtilityType>sample string 5</UtilityType>
  <VendorName>sample string 6</VendorName>
</ActualvsBudgetBudgetDetails>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfSystem.Object
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

Object

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Object",
  "response": {},
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.